> For the complete documentation index, see [llms.txt](https://docs.lifev.eu/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lifev.eu/scripts/system/lifevisuals_timesync.md).

# lifevisuals\_timesync

Wetter- und Zeit-Sync: hält Server-Uhr und Wetter für alle Clients identisch.

Wetter- und Zeit-Sync: hält Server-Uhr und Wetter für alle Clients identisch.

### So funktioniert es

* Zeit/Kalendar wird serverseitig geführt und periodisch an alle Clients gesendet.
* Wetterwechsel inkl. Wind und Nebel sind konfigurierbar und werden an alle verteilt.
* Pause des Syncs ist möglich (`GetPauseSyncState`), Debug über `/debug_easytime`.

### Auf einen Blick

|                            |                       |
| -------------------------- | --------------------- |
| Version                    | `2.0.5`               |
| Lua-Dateien                | 9                     |
| SQL-Dateien                | keine                 |
| Config                     | `keine eigene Config` |
| Benutzeroberfläche         | Browser-UI (NUI)      |
| Schutz                     | offener Quellcode     |
| Exports · Events · Befehle | 3 · 3 · 2             |

<table data-view="cards"><thead><tr><th></th><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><strong>Installation</strong></td><td>Der komplette Leitfaden, um timesync auf deinem Server zum Laufen zu bekommen.</td><td><a href="/scripts/system/lifevisuals_timesync/installation.md">Installation</a></td></tr><tr><td><strong>Konfiguration</strong></td><td>Alle editierbaren Dateien, Config-Werte und Befehle von timesync.</td><td><a href="/scripts/system/lifevisuals_timesync/konfiguration.md">Konfiguration</a></td></tr><tr><td><strong>Exports</strong></td><td>Alle Client und Server Exports von timesync mit Parametern und Beispielen.</td><td><a href="/scripts/system/lifevisuals_timesync/exports.md">Exports</a></td></tr><tr><td><strong>Events</strong></td><td>Alle Events, die timesync empfängt und sendet, inklusive Beispielcode.</td><td><a href="/scripts/system/lifevisuals_timesync/events.md">Events</a></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.lifev.eu/scripts/system/lifevisuals_timesync.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
